Package picard.illumina.parser.readers

## Class TileMetricsOutReader.IlluminaTileMetrics

- java.lang.Object
- - picard.illumina.parser.readers.TileMetricsOutReader.IlluminaTileMetrics

- Enclosing class:
    TileMetricsOutReader

      public static class TileMetricsOutReader.IlluminaTileMetrics
      extends Object

  IlluminaPhasingMetrics corresponds to a single record in a TileMetricsOut file

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `IlluminaTileMetrics​(int laneNumber, int tileNumber, int metricCode, float metricValue)` |
    `IlluminaTileMetrics​(ByteBuffer bb, TileMetricsOutReader.TileMetricsVersion version)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `boolean` | `equals​(Object o)` |
    `int` | `getLaneNumber()` |
    `TileMetricsOutReader.IlluminaLaneTileCode` | `getLaneTileCode()` |
    `int` | `getMetricCode()` |
    `float` | `getMetricValue()` |
    `int` | `getTileNumber()` |
    `int` | `hashCode()` |
    `boolean` | `isClusterRecord()` |

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### IlluminaTileMetrics

          public IlluminaTileMetrics​(ByteBuffer bb,
                                     TileMetricsOutReader.TileMetricsVersion version)

    - #### IlluminaTileMetrics

          public IlluminaTileMetrics​(int laneNumber,
                                     int tileNumber,
                                     int metricCode,
                                     float metricValue)

  - ### Method Detail

    - #### getLaneNumber

          public int getLaneNumber()

    - #### getTileNumber

          public int getTileNumber()

    - #### getMetricCode

          public int getMetricCode()

    - #### getMetricValue

          public float getMetricValue()

    - #### getLaneTileCode

          public TileMetricsOutReader.IlluminaLaneTileCode getLaneTileCode()

    - #### equals

          public boolean equals​(Object o)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### isClusterRecord

          public boolean isClusterRecord()